package com.eactive.eai.rms.bat.util;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.eactive.eai.rms.bat.web.eims.EIMSBatDao;

@Service
public class EAIBatchResourceValidationService {
	
	@Autowired
	private EIMSBatDao eimsBatDao;

	public boolean isAdapterExist(String adptrCd) {
		Map<String, Object> paramMap = new HashMap<>();
		paramMap.put("adptrCd", adptrCd);
		return eimsBatDao.isAdapterExist(paramMap);
	}
	
	public boolean isAdapterNotExist(String adptrCd) {
		return ! isAdapterExist(adptrCd);
	}
	

}
